December 2013

Installing optipng jpegoptim on Centos and Redhat   Follow below steps to installing packages: 1) Install dependency for the relevant packages.. #yum -y install gcc libpng libpng-devel gifsicle pngcrush p7zip lzip jhead   2) Install optipng For x86 architecture [64 bit]: # yum -y install …

Install Siege stress tester on Centos 6.5   Siege is a Apache benchmarking tool. It is a stress testing tool for a Apache web server. Installation process: cd /usr/src/ wget http://www.joedog.org/pub/siege/siege-2.72.tar.gz tar -zxvf siege-2.72.tar.gz     Extract siege folder to configuration and compilation. # cd …

Howto install Redis magento cache on centos and redhat Follow below steps to install redis and integration with magneto.   #wget http://redis.googlecode.com/files/redis-2.6.14.tar.gz #tar -zxvf redis-2.6.14.tar.gz #cd redis-2.6.14 #make Once you installed it without any error move two Redis files into the /usr/local/bin/ directory.. # cd …

                                  How to clear/flush memcache (Centos & Redhat)   Some time’s you observed you update data on server, but it is still showing old data. It is because of memcached. To fix this, you have to flush memcache on server. flush_all command do flush all …

                                                         Warning: Group KVM does not exist   If you are getting below error while install KVM on Centos then use solution provided here You can install  KVM  Virtualization by using yum command. Simply use below commands to install KVM on Centos #yum -y groupinstall …

 Restrict drupal admin section to open with website/domain   To restrict drupal admin for public network we have to take help mod rewrite module. By this way we can apply restriction. Simply we have to write mod rewrite rule <IfModule mod_rewrite.c> RewriteEngine on RewriteCond %{HTTP_HOST} …

ERROR:  Invalid command ‘SecRuleEngine’, perhaps misspelled or defined by a module not included in the server configuration[solved]                When you installed mod_security with Apache while restarting Apache, it won’t restart. It goes down due to Apache misconfiguration. Solution: You installed/compiled mod-security and add modsecurity.conf …

ERROR: configure: error: pcre library is required While installing mod-security in Apache you might stop at the time of source code configuration. You might get below error. configure: error: pcre library is required Don’t be afraid here is solution. Install PCRE-DEVEL package to fix this …

1 2